dico = {}
tailles = ['XS' , 'S' , 'M' , 'L' , 'XL' , 'XXL']

for i in range( len(tailles) ):
    if i == 0:
        dico[ tailles[i] ] = 8
    else:
        dico[ tailles[i] ] = round( dico.get( tailles[i-1] ) + dico.get( tailles[i-1] ) ** 0.5 / 2 , 2)

print(dico)